from PySide2 import QtWidgets


class FileListItem(QtWidgets.QListWidgetItem):
    """
    Widget to select file and save the absolute path of the file under
    self.filePath variable
    """
    def __init__(self, filePath, parent=None):
        super().__init__(filePath.name, parent,
                         type=QtWidgets.QListWidgetItem.UserType)
        self.filePath = filePath
